Clone Mobile Agent
POST
/v1/mobile/agents/{agent_id}/clone
const url = 'https://api.vocapable.com/v1/mobile/agents/example/clone';const options = { method: 'POST', headers: { 'Idempotency-Key': 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"name":"example","expected_updated_at":"2026-04-15T12:00:00Z"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/mobile/agents/example/clone \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: example' \ --data '{ "name": "example", "expected_updated_at": "2026-04-15T12:00:00Z" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”agent_id
required
Agent Id
string
Header Parameters
Section titled “Header Parameters”Idempotency-Key
required
string
Unique key for this draft change. Retry with the same key and body to replay the saved result instead of repeating the change. Stored for 24 hours; a replay carries Idempotent-Replay: true.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
AgentCloneRequest
Copy this company’s current editable configuration into a new draft.
object
name
required
Name
string
expected_updated_at
required
Expected Updated At
string format: date-time
Examplegenerated
{ "name": "example", "expected_updated_at": "2026-04-15T12:00:00Z"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
MobileAgent
object
Examplegenerated
{ "id": "example", "name": "example", "use_case": "example", "status": "example", "latest_version": 1, "updated_at": "2026-04-15T12:00:00Z"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}